Intermittent failure in TestDeadlockDetector | deadlock not detected

RESOLVED FIXED in mozilla2.0b10

Status

()

defect
RESOLVED FIXED
9 years ago
7 years ago

People

(Reporter: philor, Assigned: cjones)

Tracking

({intermittent-failure})

Trunk
mozilla2.0b10
x86
Linux
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

()

Attachments

(1 attachment)

Reporter

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283876215.1283879404.31256.gz
Linux x86-64 mozilla-central leak test build on 2010/09/07 09:16:55
s: moz2-linux64-slave02

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283906557.1283916650.12286.gz
Linux x86-64 mozilla-central leak test build on 2010/09/07 17:42:37
s: moz2-linux64-slave05

Running Deadlock detector correctness tests...
WARNING: NS_ENSURE_TRUE(zipFile) failed: file /builds/slave/mozilla-central-linux64-debug/build/modules/libjar/nsJAR.cpp, line 165
(timed out!)
(missed token '###!!! ERROR: Potential deadlock detected' in output)
----------------------------------

WARNING: NS_ENSURE_TRUE(zipFile) failed: file /builds/slave/mozilla-central-linux64-debug/build/modules/libjar/nsJAR.cpp, line 165

----------------------------------

NEXT ERROR TEST-UNEXPECTED-FAIL | deadlock not detected
Reporter

Comment 1

9 years ago
The output from that part of a successful run, which I was going to look at before I blamed it on mwu, is

Running Deadlock detector correctness tests...
WARNING: NS_ENSURE_TRUE(zipFile) failed: file /builds/slave/mozilla-central-linux64-debug/build/modules/libjar/nsJAR.cpp, line 165

but I don't know what it means that there's one on success and two on failure.
...

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290505031.1290512894.12254.gz
Linux comm-central-trunk leak test build on 2010/11/23 01:37:11

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290669397.1290674939.1571.gz
Linux comm-central-trunk leak test build on 2010/11/24 23:16:37

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290696170.1290700953.27902.gz
Linux comm-central-trunk leak test build on 2010/11/25 06:42:50
Hardware: x86_64 → x86
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1292400626.1292409126.29187.gz
Linux comm-central-trunk leak test build on 2010/12/15 00:10:26
{
Running Deadlock detector correctness tests...
pldhash: for the table at address 0x9bd3b28, the given entrySize of 48 probably favors chaining over double hashing.
(timed out!)
(missed token '###!!! ERROR: Potential deadlock detected' in output)
----------------------------------

pldhash: for the table at address 0x99dd7a8, the given entrySize of 48 probably favors chaining over double hashing.

----------------------------------

NEXT ERROR TEST-UNEXPECTED-FAIL | deadlock not detected
TEST-PASS | Sanity2
TEST-PASS | Sanity3
TEST-PASS | Sanity4
TEST-PASS | TwoThreads
TEST-PASS | ContentionNoDeadlock
Finished running Deadlock detector correctness tests.
}
Comment on attachment 503025 [details] [diff] [review]
Bump up timeout to try to make orange go away
[Checked in: Comment 66]

r=sdwilsh
Attachment #503025 - Flags: review?(sdwilsh) → review+
http://hg.mozilla.org/mozilla-central/rev/2894886924fc

Sigh.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Depends on: 619350
Attachment #503025 - Attachment description: Bump up timeout to try to make orange go away → Bump up timeout to try to make orange go away [Checked in: Comment 66]
Flags: in-testsuite+
Target Milestone: --- → mozilla2.0b10
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.